#
# spec file for package 3omns
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           3omns
Version:        0.1
Release:        4.4
Summary:        Old-school Arcade-style Tile-based Bomb-dropping Deathmatch Game
License:        GPL-3.0
Group:          Amusements/Games/Action/Arcade
Url:            https://chazomaticus.github.io/3omns/
# Downloaded from https://github.com/chazomaticus/3omns
# Packed as tar.bz2
Source0:        %{name}-%{version}+git-21292f0.tar.bz2
%if 0%{?suse_version}
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
%endif
BuildRequires:  asciidoc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  docbook_5
BuildRequires:  glibc-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)
%if 0%{?suse_version} > 1320
BuildRequires:  lua52-devel
%else
BuildRequires:  pkgconfig(lua)
%endif
BuildRequires:  pkgconfig(sdl2)

%description
3omns is an old-school arcade-style tile-based bomb-dropping deathmatch game.
The name is a bastardization of the word Bombs
(and you should pronounce it however you want).

%prep
%setup -q -n %{name}

%build
autoreconf -fi

%configure
make %{?_smp_mflags}

%install
%make_install

%if 0%{?suse_version}
    %suse_update_desktop_file %{name}
    %fdupes -s %{buildroot}%{_prefix}
%endif

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.font NEWS README
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.6%{ext_man}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/%{name}

%changelog
* Fri Sep 25 2015 nemysis@openSUSE.org
- Recreate tarball, new GitHub commit
  Please look 'git log'
* Thu Jul 30 2015 dimstar@opensuse.org
- BuildRequire lua52-devel on openSUSE > 13.2 (current Tumbleweed):
  3omns has not been ported to LUA 5.3 yet.
* Mon Nov 24 2014 nemysis@gmx.ch
- Move hicolor-icon-theme to %%if 0%%{?suse_version}
* Tue Oct 28 2014 nemysis@gmx.ch
- Recreate tarball, new GitHub commit
- Remove _service, download from GitHub and packed as tar.bz2
- Remove BuildRequires for desktop-file-utils
- Use BuildRequires pkgconfig(lua) instead of lua-devel
* Thu Oct 16 2014 nemysis@gmx.ch
- Change Group
* Wed Oct 15 2014 nemysis@gmx.ch
- Use check for openSUSE %%if 0%%{?suse_version}
- Use BuildRequires pkgconfig(sdl2), pkgconfig(SDL2_image) and
  pkgconfig(SDL2_ttf) instead of libSDL2-devel, libSDL2_image-devel
  and SDL2_ttf-devel
* Tue Oct  7 2014 nemysis@gmx.ch
- Change Source0 to use Web URL
- Remove BuildRequires for pkgconfig
- Add _service and _service:download_url:3omns-0.1-84fda5d.tar.gz
* Sun Sep 28 2014 nemysis@gmx.ch
- Revert last commit
* Sun Sep 28 2014 nemysis@gmx.ch
- Added missing BuildRequires for openSUSE > 12.2
* Sun Sep 28 2014 nemysis@gmx.ch
- Use pkgconfig instead of pkgconfig(sdl)
* Sun Sep 28 2014 nemysis@gmx.ch
- Initial package creation
